                        Erluterungen zum Programm
                              ( Version 2.1 )
       
          (Simulation von Transversal-,Longitudinal-,Wasserwellen)          
                      (...und Beugung von Licht) 
                       
Das Programm besteht aus folgenden vier Teilen:

  1) Simulation von Tansversalwellen
  2) Simulation von Longitudinalwellen
  3) Graphische Darstellung von Wasserwellen
  4) Graphische und schematische Darstellung des Intensittsverlaufs eines
     gebeugten Lichtstrahls
  5) Bedienungshinweise zu den einzelnen Simulationen, Parameteranzeige

Kurze Einfhrung in die Wellenphysik:

Transversalwellen sind Wellen, bei denen die Teilchen im Medium senkrecht
zur Ausbreitungsgeschwindigkeit schwingen und sich dabei NICHT in Richtung
der Ausbreitungsgeschwindigkeit bewegen. Die Auslenkung eines beliebigen
Teilchens zum Zeitpunkt t, da sich x-Einheiten vom Erregerzentrum befindet
lt sich bei der fortlaufenden(z.B. nach rechts) Transversalwelle nach der
Formel: s(t,x)=smax * sin(w * (t-(x/c))   mit
        
        s=Auslenkung
        t= Zeit, die verflossen ist seit dem Start der Welle
        smax=Maximale Auslenkung
        w=Kreisfrequenz=2 * Pi * Frequenz, mit der ein Teilchen schwingt
        T=1/F=Zeit, die ein Teilchen bentigt, um eine vollstndige Schwingung
              auszufhren oder in der sich die Welle um eine Wellenlnge aus-
              breitet.
        c=Ausbreitungsgeschwindigkeit der Welle=Frequenz * Wellenlnge
                          
errechnen, vorausgesetzt, es handelt sich um eine harmonische Schwingung.
Beispiel fr Transversalwellen: Wasserwelle, schwingendes Gummiband

Bei Longitudinalwellen bewegen sich die Teilchen des Mediums in der Richtung
der Ausbreitungsgeschwindigkeit, ansonsten gelten die gleichen Gesetze, wie 
bei den Transversalwellen. Durch die Bewegung der Teilchen in Richtung der Aus-
breitungsgeschwindigkeit entstehen Zonen, in denen ein berdruck herscht und
welche in denen Unterdruck herscht. Diese Zonen wandern in Richtung der Aus-
breitungsgeschwindigkeit. Bei der Stehenden Welle gibt es Stellen, an denen der
Druck immer konstant ist(Druckknoten) aber gleichzeitig eine maximale Bewegung
stattfindet(Bewegungsbauch). Andererseits gibt es auch Stellen, an denen der 
Druck zwischen seinen Extremen schwankt aber an denen keine Bewegung stattfindet
(Druckbauch=Bewegungsknoten).Beispiel: Schallwellen.

                                                           
zu 1)

Zuerst mssen die Parameter eingegeben werden, ohne die keine Transversal-
wellen-Simulation mglich ist. Hierbei mssen die angegebenen Grenzen der
einzelnen Parameter eingehalten werden, ansonsten weist Sie das Programm
darauf hin und bernimmt die alten Werte.
Nach Eingabe der Parameter ist jede Simulation mglich.
Die Parameter knnen jederzeit wieder neu eingegeben werden.
Die verschiedenen Simulationen knnen mit Ausnahme der Strung jederzeit durch
Tastendruck abgebrochen werden.

Normale Welle: Simulation einer eindimensionalen fortlaufenden Transv.w.
               Nach anklicken des Menpunktes im Hauptmen werden Sie nach
               der Ausbreitungsrichtung gefragt. Whlen Sie das entsprechende 
               Kstchen. Nun erscheint ein Graph mit einer x und y-Achse.
               Auf der X-Achse sind die Teilchen verteilt und der y-Wert
               eines jeden Teilchens steht fr dessen Auslenkung(y=0 entspricht
               der Ruhelage der Teilchen). Im unteren Teil des Bildschirms 
               werden die Parameter angegeben.
     
Interferenz: Die Interferenz ist eine besondere Art der berlagerung von Wellen,
             bei der die Wellenlnge,Ausbreitungsgeschw. und Frequenz der beiden
             Wellen gleich sind. In diesem Beispiel sind die Wellen gegenlufig,
             das heit, da die beiden Ausbreitungsrichtungen genau entgegen-
             gesetzt sind. Der obere Graph zeigt die beiden Wellen, wie sie
             ohne gegenseitigen Einflu verlaufen wrden, whrend der untere
             Graph die resultierende Welle darstellt, wie sie sich aus der 
             berlagerung der beiden gegenlufigen Wellen ergibt. Es handelt
             sich hierbei um eine Stehende Welle, das heit,da kein Energie-
             transport wie bei der fortlaufenden Welle stattfindet, sondern
             sich die Energie im Medium befindet. Ein weiteres Merkmal der 
             Stehenden Welle sind Teilchen, die sich zu keiner Zeit bewegen,
             sogenannte Knoten. Der Abstand zwischen zwei Knoten ist die 
             Hlfte der Wellenlnge.Die Formel zur Berechnung der Auslenkung
             lautet: s(t,x)=2 * smax * sin(w * t) * cos(w * (x/c))
             
berlagerung: Nach Anklicken des Menpunktes erfolgt ein Hinweis, da die 
              Parameter der zweiten Welle, die sich mit 1.Welle(Grundwelle)
              berlagern soll, eingegeben werden sollen. Die Eingabe luft
              nach den gleichen Prinzipien wie bei der ersten Welle vonstatten.
              Nach der Eingabe erscheinen wie bei der Interferenz wieder zwei
              Graphen: Der Obere zeigt die beiden Wellen, wie sie ohne Einflu
              der jeweils Anderen verlaufen wrden, whrend der Untere die 
              Resultierende Welle zeigt. Die Parameter zu den beiden Wellen
              werden unten angezeigt.
                Bei nochmaliger Wahl des Menpunktes 'berlagerung' kann man
              entweder die alten Parameter der 2.Welle bernehmen oder wahl-
              weise neue eingeben.  
              
Reflexion: Nach der Wahl dieses Menpunktes kann man whlen zwischen der 
(festes +) Simulation einer Strung, die das Prinzip dieser Reflexion an-
(freies  ) schaulich machen soll, oder der Simulation einer Welle und deren
(Ende    ) Reflexion an einem Festen Ende(letztes Teilchen kann sich nicht be-
           wegen). Nach Wahl z.b. der Strung erfolgt eine kurze Simulation,
           die sich nicht unterbrechen lt, aber nach deren Abschlu die 
           Rckkehr zum Hauptmen durch einen Tastendruck ermglicht wird.
           Bei Wahl der Wellensimulation erscheinen drei Graphen:
           Der 1.Graph zeigt das Schaubild der Erregerwelle, die von links 
                       nach rechts verluft,
           Der 2.Graph zeigt das Schaubild der reflektierten Welle,
           
           Der 3.Graph zeigt das Schaubild der resultierenden Stehenden Welle.
           Bei der Reflexion am festen Ende tritt ein Phasensprung von 180 Grad
           auf, das heit, ein ankommender Wellenberg(Auslenkung nach oben)
           wird als Wellental(Auslenkung nach unten) reflektiert. Darum ist
           das letzte feste Teilchen ein Knoten der Welle.
           Bei der Reflexion am freien Ende wird die Welle Phasengleich re-
           flektiert, das heit, das ein Wellenberg(-tal) auch als Wellenberg
           (-tal) reflektiert wird. Deshalb bewegt sich das letzte freie 
           Teilchen auch bis zur maximalen Elongation(Auslenkung).
           
                    
Zu 2)
     
Auch hier mssen zuerst die Parameter eingegeben werden, bevor eine Simulation
mglich ist. Um keinen verzerrten Graph zu erhalten, wurde die Frequenz auf
einen konstanten Wert gesetzt.Nun sind noch die  Wellenlnge und die maximale 
Auslenkung einzugeben, die ebenfalls aus Grnden der besseren bersichtlichkeit
von der Wellenlnge abhngt:
Je grsser die Wellenlnge, desto grsser kann die maximale Auslenkung sein.
Wird eine zu groe Auslenkung angegeben, setzt das Programm den Wert der Aus-
lenkung automatisch auf den grtmglichen Wert.

Auch hierbei ist jederzeit eine neue Eingabe der Parameter mglich.

Normalle Welle: Nach dem Anklicken dieses Menpunktes besteht wie bei der
                Transversalwelle die Mglichkeit, die Richtung der Ausbreit-
                ungsgeschwindigkeit zu whlen. Nun erscheinen zwei Graphen:
                Der 1.Graph ist eher ein Ausschnitt, in ihm bewegt sich ein 
                Teilchen, das sogenannte Testteilchen, welches am Anfang das
                erste Teilchen des Mediums ist. 
                Der 2.Graph ist der eigentliche Hauptgraph, in dem viele senk-
                rechte Striche die vielen Teilchen des Mediums darstellen.
                Jeder Strich und seine horizontale Bewegung steht fr ein 
                Teilchen und dessen Bewegung. Durch einen Tastendruck erscheint
                eine Dialog-Box, in der man zwischen Abruch , einer Hard-
                copy oder 'X-pos' whlen kann. Das 'X-pos' steht fr:
                Bestimmung der X-Position des Testteilchens und fortfahren der
                Simulation. Whlen Sie diesen Punkt, so knnen Sie einen 
                schwarzen Punkt am unteren Rand des Bildschirms mithilfe der
                Maus innerhalb des schmalen Rechtecks bewegen. Dieser Punkt 
                steht fr die X-Position des Testteilchens und befindet sich
                am Anfang am linken Rand des Rechtecks. Beim bewegen des Punktes
                erscheint rechts neben dem Rechteck dessen genaue X-Position,
                die nach Abschlu dieser Option durch einen Tastendruck auch
                neben dem kleinen Koordinatenkreuz des Testteilchens erscheint.

Interferenz: Der Grundaufbau entspricht der der Normalen Welle, jedoch er-
             scheinen drei Graphen, wobei die beiden Oberen die beiden gegen-
             lufigen Wellen zeigen, wie sie ohne Einflu der jeweils anderen
             verlaufen wrden. Der Untere zeigt die resultierende Stehende 
             Welle. Die eingegebenen Parameter treffen auf die oberste Welle
             zu, bei der mittleren ist lediglich die Ausbreitungsgeschwindigkeit
             umgekehrt,wobei bei beiden die maximale Auslenkung fr die 
             Simulation von Interferenz und Reflexion bei Wellen etwas ver-
             ringert werden muss(geschieht automatisch), um bei der resultieren-
             den Welle ein realistisches Bild zu erhalten. Nach Beendigung 
             dieser Simulation erhlt die Auslenkung wieder ihren ursprnglichen
             Wert.
             (siehe Interferenz bei der Transversalwelle)                       

Reflexion: Grundaufbau entspricht der Simulation von Interferez. 
(festes+)  Fr die wahlweise Simulation einer Strung und deren Reflexion gilt,
(freies )  was in der Beschreibung der Reflexion einer transversalen Strung
(Ende   )  gesagt wurde.
           Bei der Reflexion einer Longitudinalwelle am festen Ende findet im
           Gegensatz zur Transversalwelle kein Phasensprung statt, das heit,
           das eine ankommende Verdichtung(-dnnung) auch als Verdichtung
           (-dnnung) reflektiert wird ! Bei der Reflexion der Longitudinalwelle
           am freien Ende findet jedoch ein Phasensprung um 180 Grad statt, das
           heit, das z.b. eine Verdichtung als eine Verdnnung reflektiert 
           wird.

Zu 3)

Bei der 'Simulation' von Wasserwellen handelt es sich um eine willkrliche 
Nachempfindung der Ausbreitung von Wellenfronten ohne jede gesetzliche Grund-
lage. Diese Simulation bentigt vorbergehend gut 300 KByte Speicherplatz,
falls dieser Speicherplatz nicht zur Verfgung steht, weist Sie das Programm
darauf hin und kehrt zum Men zurck.
Die Simulation wurde realisiert durch eine immerwiederkehrende Bildfolge, die
wie ein Film ewig(bis zum Tastendruck=Abbruch) abluft. Nach Wahl der Art der 
Wasserwellensimulation erscheint der Text 'Moment bitte..ich rechne' und ein
hellgraues Rechteck. Nach kurzer Zeit beginnt dieses sich ruckartig zu fllen,
was den Fortschritt des Rechenvorgangs zeigt. Dieser Vorgang dauert auf keinen
Fall lnger als 1 Minute. Danach erscheint dann die Simulation. 


Zu 4)

Der Menpunkt 'Grundlagen' gibt eine kurze Einfhrung in den Wellencharakter
des Lichts und zeigt anhand einer Skizze, wie sich diese Welle ausbreitet.
  Bei der graphischen Simulation des Intensittsverlaufs einer an einem Spalt,
Doppelspalt oder an einem Gitter gebrochenen 'Lichtwelle' zeigt der Groteil
des Bildschirms den genauen Intensittsverlauf, whrend im unteren Teil der-
selbe Intensittsverlauf schematisch angedeutet wird. 
  Zuvor mssen jedoch die jeweiligen Parameter, wie Anzahl der Maxima, Spalt-
breite und Spaltabstand..., eingegeben werden. Hiebei ist es sinnvoll, erst
einmal die vorgeschlagenen Werte einzugeben, um zu keiner unsinnigen Darstell-
ung zu kommen.
  Mit Tastendruck kommt man dann anschlieend wieder ins Hauptprogramm zurck.

( siehe auch Hilfe:'Lichtwelle' im Programm (Versuchsaufbau...))  

Zu 5)
 
Zu jeder Simulation ist es mglich, whrend des Programmablaufs eine kurze 
Information zu erhalten. Weiterblttern oder Rckkehr zum Desktop jeweils
durch Tastendruck. 
Auerdem ist es mglich, sich alle Parameter auf einen Blick anzuschauen:
Nach Wahl des Menpunktes 'Formeln+Parameter' Parameter whlen; mit Tasten-
druck wieder ins Hauptprogramm...
Weiterhin kann man zu jeder Simulation(Transversal-,Longitudinal- und Licht-
wellen) die benutzten physikalischen Formeln sehen, indem man nach Wahl des
Menpunktes 'Formeln+Parameter' das jeweilige Kstchen anklickt.
Wer glcklicher Besitzer eines Blitters ist, kann diesen mit dem Menpunkt
Blitterstatus wahlweise an- bzw. ausschalten.

Hinweis:

Das Programm ICONDESK.PRG, sowie die zugehrigen Dateien ICON.IMG und ICON.MAT
ist ein Public-Domain-Programm, hat jedoch keinen Einflu auf die Funktions-
tchtigkeit des Wellensimulationsprogrammes und kann somit jederzeit gelscht
werden. Die Datei TITELBIL.PIC ist ebenfalls nicht unbedingt notwendig, kann
also nach Belieben gelscht werden ohne das Programm einzuschrnken (der Vor-
spann fllt allerdings weg).

In eigener Sache:                  
                                                 
Wer das Programmlisting in GFA Basic 3.0 mit kuzer Beschreibung und dem 
GFA Basic 3.0 Run Only Interpreter auf Diskette haben mchte (*.GFA oder 
*.LST (Ascii-Format)), der sendet mir bitte 20 DM als Ansporn fr weitere 
Programme und einen an sich adressierten, frankierten Umschlag mit einer 
3,5 '' Diskette. Meine Adresse:
                                                  

                                Wolfgang Henke
                                Schulstrae 19
                                6551 Volxheim
                                
                      


